de.vc.jfo.attributes

## Class MeasureFunction

- java.lang.Object
- - de.vc.jfo.attributes.MeasureFunction

-     public class MeasureFunction
      extends java.lang.Object

  Describes a measure or a function.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MeasureFunction(Measure m)` Creates a new measure function.
    `MeasureFunction(java.lang.String function)` Creates a new measure function.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFunction()` Gets the function if `isFunction` returns true.
    `Measure` | `getMeasure()` Gets the measure if `isMeasure` returns true.
    `boolean` | `isDefined()` Returns `isMeasure() | is Function()`.
    `boolean` | `isFunction()` Determinates if this is a function.
    `boolean` | `isMeasure()` Determinates if this is a measure.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MeasureFunction

          public MeasureFunction(java.lang.String function)

      Creates a new measure function.
      Parameters:
        `function` - Function or measure.

    - #### MeasureFunction

          public MeasureFunction(Measure m)

      Creates a new measure function.
      Parameters:
        `m` - Measure.

  - ### Method Detail

    - #### isDefined

          public boolean isDefined()

      Returns `isMeasure() | is Function()`.
      Returns:
        `isMeasure() | is Function()`.

    - #### isMeasure

          public boolean isMeasure()

      Determinates if this is a measure.
      Returns:
        `true` if measure.

    - #### getMeasure

          public Measure getMeasure()

      Gets the measure if `isMeasure` returns true.
      Returns:
        Measure.

    - #### getFunction

          public java.lang.String getFunction()

      Gets the function if `isFunction` returns true.
      Returns:
        Function.

    - #### isFunction

          public boolean isFunction()

      Determinates if this is a function.
      Returns:
        `true` if function.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.